Bug 1191539 - Ipsilon
Summary: Ipsilon
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Reznik
QA Contact:
Petr Bokoc
URL:
Whiteboard: ChangeAcceptedF22 SelfContainedChange
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-11 13:27 UTC by Jaroslav Reznik
Modified: 2015-04-09 00:34 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
== Ipsilon == The Ipsilon identity provider is now included in the Fedora 22 Updates repository, allowing this application to be installed using the DNF package manager. Ipsilon is a server and a toolkit to configure Apache-based Service Providers. The server is a pluggable mod_wsgi application that provides federated single sign-on to web applications. User authentication is always performed against a separate Identity Management system (for example a FreeIPA server), and communication with applications is performed using a federation protocol such as SAML or OpenID. See the project page on Fedorahosted (https://fedorahosted.org/ipsilon/) for more information.
Clone Of:
Environment:
Last Closed: 2015-03-30 11:34:09 UTC
Type: ---
pbokoc: fedora_requires_release_note+


Attachments (Terms of Use)

Description Jaroslav Reznik 2015-02-11 13:27:53 UTC
This is a tracking bug for Change: Ipsilon
For more details, see: https://fedoraproject.org//wiki/Changes/Ipsilon

Inclusion of Ipsilon in the Fedora repositories.

Comment 1 Jaroslav Reznik 2015-02-20 10:01:47 UTC
This message is a reminder that Fedora 22 Change Checkpoint: Completion deadline (testable) is on 2015-02-24 [1].

At this point, all accepted Changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be so enabled at Change Completion deadline.

This bug should be set at least to the MODIFIED state to indicate that it achieved completeness. Status will be provided to FESCo right after the deadline. If, for any reasons, your Change is not in required state, let me know and we will try to find solution. Fedora 22 is going to be strictly time based release. For Changes you decide to cancel/move to the next release, please use the NEW status and set needinfo on me and it will be acted upon. 

In case of any questions, don't hesitate to ask Wrangler (jreznik). Thank you.

[1] https://fedoraproject.org/wiki/Releases/22/Schedule

Comment 2 Patrick Uiterwijk 2015-02-23 15:21:19 UTC
We will be doing a new release today for milestone end, but the feature is testable in its current state.

Comment 3 Jaroslav Reznik 2015-03-24 11:41:46 UTC
This message is a reminder that Fedora 22 "Change Checkpoint: 100% Code Complete Deadline" is on 2015-03-31 [1].

All Accepted Changes has to be code complete and ready to be validated in the Beta release (optionally by Fedora QA). Required bug state at this point is ON_QA.

As for several System Wide Changes, Beta Freeze is a point of contingency plan, all incomplete Changes will be reported to FESCo for 2015-04-01 meeting. In case of any questions, don't hesitate to ask Wrangler (jreznik).

[1] https://fedoraproject.org/wiki/Releases/22/Schedule

Comment 4 Patrick Uiterwijk 2015-03-30 11:34:09 UTC
Ipsilon is in Fedora 22.
We will maybe be updating the package before final, but should be good enough as it stands as we can always use 0-day updates.

Comment 5 Petr Bokoc 2015-04-07 15:56:35 UTC
Hello Patrick, we'd like to include this change in F22 Beta Release Notes.

Please review the draft note I've added to the Doc Text field and let me know if this text is sufficient, or if there's anything you'd like to add or change. (Most of the text is taken directly from the Change page on the Wiki.)

Thanks!

Comment 6 Patrick Uiterwijk 2015-04-09 00:34:39 UTC
I made a small change, but this looks fine to me.

I have asked the rest of the team to take a look at it as well.

Thanks!


Note You need to log in before you can comment on or make changes to this bug.